Skip to main content

Get Promotion Code

Retrieve a specific promotion code from your store.

Request

GET /promotion-codes/{id}

Path Parameters

ParameterTypeRequiredDescription
idstringYesPromotion code UUID

Example Request

curl -X GET "https://cart.easy.tools/api/v1/promotion-codes/550e8400-e29b-41d4-a716-446655440030" \
-H "Authorization: Bearer YOUR_API_TOKEN"

Response

Success Response (200)

Returns the promotion code.

{
"id": "550e8400-e29b-41d4-a716-446655440030",
"code": "BLACKFRIDAY20",
"name": "Black Friday 2026",
"discount_type": "percent_off",
"amount_off": null,
"percent_off": 20,
"currency": null,
"duration": "once",
"duration_in_months": null,
"max_redemptions": 100,
"times_redeemed": 14,
"expires_at": "2026-12-31T23:59:59+00:00",
"first_time_transaction": false,
"minimum_amount": null,
"minimum_amount_currency": null,
"scope": {
"type": "global"
},
"status": "active",
"created_at": "2026-05-27T10:16:00+00:00",
"updated_at": "2026-05-27T10:16:00+00:00"
}

See the Get Promotion Codes reference for a full description of each field.

Error Responses

Bad Request (400)

Returned when the path parameter is not a valid UUID.

{
"message": "Invalid promotion code ID"
}

Promotion Code Not Found (404)

{
"message": "Promotion code with ID 550e8400-e29b-41d4-a716-446655440030 not found"
}

Unauthorized (401)

{
"message": "Unauthenticated."
}